import { http } from '@/utils/http';

/**
 * 根据单位code获取单位名称
 * @param 单位code
 * @returns 单位名称
 */
export function queryDepByOrgCodeApi(code : string) {
	return http({
		url: '/sys/sysDepart/queryDepNameByDepCode',
		method: 'GET',
		data: {
			code
		}
	});
}

/**
 * 查询当前用户的所有部门/当前部门编码
 * @returns 单位编码
 */
export function queryDepsByUserIdApi() {
	return http({
		url: '/sys/user/getCurrentUserDeparts',
		method: 'GET',
	});
}

export function queryMyDeptTreeListApi(config : object) { // 部门
	return http({
		url: '/sys/sysDepart/queryTreeList',
		method: 'GET',
		data: config
	})
}

export function queryDepNameRealApi() { // 获取单位 优先借用单位、储备单位
	return http({
		url: '/sys/sysDepart/queryDepNameReal',
		method: 'GET'
	})
}